Feature (Grails 6.0.0)

Package: org.grails.cli.profile

## [Groovy] Interface Feature

-     interface Feature

  An interface that describes a feature of a profile. Different profiles may share many common features even if the profile itself is different.

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.util.List<java.lang.String>` | `getBuildPlugins()` Returns: The build plugin names
    `` | `abstract java.util.List<java.lang.String>` | `getBuildRepositories()` Returns: The build repositories url
    `` | `abstract NavigableMap` | `getConfiguration()` Returns: The configuration for the feature
    `` | `abstract java.util.List<org.eclipse.aether.graph.Dependency>` | `getDependencies()` Returns: The dependency definitions for this feature
    `` | `abstract java.lang.String` | `getDescription()` Returns: The description of the profile
    `` | `abstract Resource` | `getLocation()` Returns: The location of the feature
    `` | `abstract java.lang.String` | `getName()` Returns: The name of the feature
    `` | `abstract Profile` | `getProfile()` Returns: The profile this feature belongs to

- - ### Method Detail

    - #### abstract java.util.List<java.lang.String> getBuildPlugins()

      Returns:
        The build plugin names

    - #### abstract java.util.List<java.lang.String> getBuildRepositories()

      Returns:
        The build repositories url

    - #### abstract NavigableMap getConfiguration()

      Returns:
        The configuration for the feature

    - #### abstract java.util.List<org.eclipse.aether.graph.Dependency> getDependencies()

      Returns:
        The dependency definitions for this feature

    - #### abstract java.lang.String getDescription()

      Returns:
        The description of the profile

    - #### abstract Resource getLocation()

      Returns:
        The location of the feature

    - #### abstract java.lang.String getName()

      Returns:
        The name of the feature

    - #### abstract Profile getProfile()

      Returns:
        The profile this feature belongs to